New GoGlobal Agentic finance with local expertise in 85+ countries Read the announcement

List document templates

GET
https://api.light.inc/v1/document-templates

Returns the company's document templates, optionally filtered by document type

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Query parameters

  • companyEntityId string · uuid

    Only return templates that apply to this company entity

  • sort string

    Sort string in the format field:direction. To provide multiple sort fields, separate them with commas.

    Available directions: asc, desc.

    Available fields: name, createdAt.

  • filter string

    Filter string in the format field:operator:value. To provide multiple filters, separate them with commas.

    Available operators: eq, ne, in, not_in, gt, gte, lt, lte.

    • For in and not_in operators, provide multiple values separated by the pipe character (|).

    Available fields: id, name, description, documentType, state.

  • limit integer · int32

    Maximum number of items to return. Default is 50, maximum is 200.

  • offset integer · int64

    Number of items to skip before starting to collect the result set

Response

  • total integer · int64

  • records array of object

    • id string · uuid

      Unique identifier for the object

    • name string

      Name of the template

    • description string

      Free-text description of the template

    • documentType string

      The kind of document the template produces

      • CUSTOMER_CREDIT - Credit note issued to a customer
      • INVOICE_PAYABLE_SELF_BILLED - Self-billed invoice issued on behalf of a vendor
      • INVOICE_RECEIVABLE - Sales invoice issued to a customer
      • PURCHASE_ORDER - Purchase order sent to a vendor

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of CUSTOMER_CREDIT INVOICE_PAYABLE_SELF_BILLED INVOICE_RECEIVABLE PURCHASE_ORDER

    • companyEntityIds array of string · uuid

      IDs of the company entities the template applies to

    • state string

      Whether the template is active or archived

      • ACTIVE - The template can be assigned to new documents
      • ARCHIVED - The template is archived and can no longer be assigned

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of ACTIVE ARCHIVED